// File:	E391aDetectorTable.hh
// Date:	01-Nov-2001 G.Macharashvili Dubna

#ifndef E391aDetectorTable_hh
#define E391aDetectorTable_hh 1

#include "globals.hh"

class E391aDetectorTable {

protected:

static		G4int		Instance ;
static	const	G4int		NN=13 ;

static	const	G4String	DetName[NN] ;
static	const	G4int		NumOfModules[NN] ;

public:

	E391aDetectorTable() ;
	~E391aDetectorTable() {}

public:

static	G4String	DetectorName(G4int id) { return (id<0||id>=NN) ? G4String("Undef") : DetName[id] ; }
static	G4int		DetectorBaseID(G4String name) ;
static	G4int		DetectorBaseID(const char* name) ;
static	G4int		NumOfDetectorModules(G4int id) { return (id<0||id>=NN) ? -1 : NumOfModules[id] ; }

	} ;

#endif

// EOF
