// File:	E391aRunAction.hh
// File:	16-Apr-2001 G.Macharashvili Juelich

#ifndef E391aRunAction_h
#define E391aRunAction_h 1

#include "globals.hh"
#include "G4Run.hh"
#include "G4Timer.hh"
#include "G4UserRunAction.hh"
#include "G4ParticleDefinition.hh"
#include "G4ParticleTable.hh"
#include "G4EventManager.hh"

class G4Run ;
class E391aDetectorConstruction ;
class E391aPrimaryGeneratorAction ;
class G4EventManager ;

#include "RunMessage.h"
extern	RunMessage	*RootMsg ;

class E391aRunAction : public G4UserRunAction {

public:

	E391aRunAction(E391aDetectorConstruction*,E391aPrimaryGeneratorAction*) ;
	~E391aRunAction() ;

	void		BeginOfRunAction(const G4Run*) ;
	void		EndOfRunAction(const G4Run*) ;

private:

	G4EventManager*				EventManager ;
	E391aDetectorConstruction*		Det ;
	E391aPrimaryGeneratorAction*		Gen ;
	G4Timer*				Time ;

	} ;

#endif

// EOF
