// File:	E391aSBarrelSD.hh
// Date:	10-Apr-2001 G.Macharashvili Juelich

#ifndef E391aSBarrelSD_h
#define E391aSBarrelSD_h 1

#include "G4VSensitiveDetector.hh"
#include "E391aHit.hh"
#include "G4HCofThisEvent.hh"
#include "G4SDManager.hh"

class E391aDetectorConstruction ;

class E391aSBarrelSD : public G4VSensitiveDetector {

static	const	G4int	xBaseIdent=12 ;

public:

	E391aSBarrelSD(G4String,E391aDetectorConstruction*,G4int = 1) ;
	~E391aSBarrelSD() ;
  
	E391aDetectorConstruction* Det() { return xDet ; }
	void		Initialize(G4HCofThisEvent*) ;
	G4bool		ProcessHits(G4Step*,G4TouchableHistory*) ;
	void		EndOfEvent(G4HCofThisEvent*) ;
	void		clear() ;
	void		DrawAll() ;
	void		PrintAll() ;

private:

	E391aDetectorConstruction	*xDet ;
	G4int				xNumOfModules ;
	E391aHitsCollection		*HC ;
	G4int				*HitID ;

	} ;

#endif

// EOF
