// File:	Map.hh
// 
// Date:	18-Jan-1999 G.Macharashvili JINR Dubna
// 
// Updated:	01-Nov-1999 G.Macharashvili JINR Dubna
// Updated:	18-Jan-2000 G.Macharashvili JINR Dubna

#ifndef MAP_HH
#define MAP_HH

#include "PList.h"

template<class T = int> 
class Map : public PList {

public:

	Map(T* e=0,int n=128) ;
	Map(int n) ;
virtual	~Map() {}

inline	T*	operator()(int indx) const { return (T*)PList::operator()(indx) ; }
inline	T*	operator[](int indx) const { return (T*)PList::operator[](indx) ; }
	int	Index(T *e) ;

	} ;

template<class T> Map<T>::Map(int n) : PList(n) {}

template<class T> Map<T>::Map(T* e,int n) : PList(n) {
	if (n<=0 || e==(T *)0) return ;
	while (n--) Add(e++) ;
	}

template<class T> int Map<T>::Index(T *e) { return PList::Index(e) ; }

#endif

// EOF
