
#ifndef E391aVisManager_h
#define E391aVisManager_h 1

#ifdef G4VIS_USE

#include "G4VisManager.hh"
#include "G4VPhysicalVolume.hh"
#include "G4LogicalVolume.hh"

class VisManager: public G4VisManager {

public:

	VisManager(G4VPhysicalVolume *world) ;
inline	void	GraphicsSystem() { SetCurrentGraphicsSystemAndCreateViewer(GS) ; }
	void	DetDraw() ;	

private:

	void RegisterGraphicsSystems() ;

protected:

	G4VGraphicsSystem	*GS ;
	G4VPhysicalVolume*	World ;

	} ;

#endif
#endif

//EOF
