// File:	DummyDetector.cc
// Date:	05-Sep-2001 G.Macharashvili Dubna

#include "DummyDetector.hh"

DummyDetector::DummyDetector(G4String DetName)
	:G4VSensitiveDetector(DetName) {
		collectionName.insert(DetName) ;
		}

DummyDetector::~DummyDetector() {}

void DummyDetector::Initialize(G4HCofThisEvent* HCE) {}

G4bool DummyDetector::ProcessHits(G4Step* Stp,G4TouchableHistory* ROhist) {
// Kill Track ...
	Stp->GetTrack()->SetTrackStatus(fKillTrackAndSecondaries) ;
	return true ;
	}

void	DummyDetector::EndOfEvent(G4HCofThisEvent* HCE) {}

// EOF
