// File:	E391aDigi.cc
// Date:	10-May-2001 G.Macharashvili Juelich

#include "E391aDigi.hh"

G4Allocator<E391aDigi>	E391aDigiAllocator ;

E391aDigi::E391aDigi(G4int id,G4double q,G4double t) {
	xDetectorID=id ;
	xQ=q ;
	xT=t ;
	}

E391aDigi::~E391aDigi() {}

E391aDigi::E391aDigi(const E391aDigi &r) {
	xDetectorID=r.xDetectorID ;
	xQ=r.xQ ;
	xT=r.xT ;
	}

const	E391aDigi& E391aDigi::operator=(const E391aDigi &r) {
	xDetectorID=r.xDetectorID ;
	xQ=r.xQ ;
	xT=r.xT ;
	return *this ;
	}

int	E391aDigi::operator==(const E391aDigi &r) const {
	return xDetectorID==r.xDetectorID ;
	}

void	E391aDigi::Draw() {}

void	E391aDigi::Print() {
	G4cout.form("Digi:") ;
	G4cout.form("%4d.%-4d ",DetectorID()/10000,DetectorID()%10000) ;
	G4cout.form("%6.1f ",Q()) ;
	G4cout.form("%6.1f ",T()) ;
	G4cout.form("\n") ;
	}

// EOF
