// File:	E391aBeam.hh
// Date:	18-May-2001 G.Macharashvili Dubna

#ifndef E391aBeam_hh
#define E391aBeam_hh 1

#include "Randomize.hh"
#include "G4ThreeVector.hh"
#include "G4ParticleTable.hh"
#include "G4ParticleDefinition.hh"

#include "TH1.h"
#include "TH2.h"

class E391aBeam {

protected:

static	const	G4double	ZTarg=-10.0*m ;
static	const	Stat_t		BeamEnergySpectrum[120] ;

public:

	E391aBeam() ;
	~E391aBeam() ;

	double			KLongEkin() const ;
	G4ThreeVector		KLongPos(double z) ;
	G4ThreeVector		KLongDir(G4ThreeVector &Pos) ;

protected:

	TH1F			*BeamEGen , *BeamE ;

	} ;

#endif

// EOF
