// File:	E391aPType.hh
// Date:	01-Jul-2001 G.Macharashvili Dubna

#ifndef E391aPType_h
#define E391aPType_h 1

#include "Map.hh"

#include "G4ParticleTable.hh"
#include "G4ParticleDefinition.hh"
#include "G4DynamicParticle.hh"
#include "G4ThreeVector.hh"

#include "G4Gamma.hh"
#include "G4Electron.hh"
#include "G4Positron.hh"
#include "G4MuonMinus.hh"
#include "G4MuonPlus.hh"
#include "G4PionMinus.hh"
#include "G4PionPlus.hh"
#include "G4PionZero.hh"
#include "G4AntiNeutrinoE.hh"
#include "G4AntiNeutrinoMu.hh"
#include "G4AntiNeutrinoTau.hh"
#include "G4NeutrinoE.hh"
#include "G4NeutrinoMu.hh"
#include "G4NeutrinoTau.hh"
#include "G4Proton.hh"
#include "G4AntiProton.hh"
#include "G4Neutron.hh"
#include "G4AntiNeutron.hh"
#include "G4Lambda.hh"
#include "G4AntiLambda.hh"
#include "G4KaonZeroLong.hh"

class E391aPType {

private:

static	G4int				Instance ;
static	Map<G4ParticleDefinition>	P ;

public:

		E391aPType() ;
		~E391aPType() ;

static	void			Print() ;
static	G4int			PType(G4ParticleDefinition *) ;
static	G4int			PType(G4String &) ;
static	G4int			PType(const char *) ;
static	G4int			PType(G4DynamicParticle *) ;
static	G4ParticleDefinition*	Definition(G4int index) ;

	} ;

#endif

// EOF
