
// File:	11-Jan-2001 Gogi, Dubna

#ifndef RunMessage_h
#define RunMessage_h 1

#include "RunTimer.h"
#include "TROOT.h"
#include "TCanvas.h"
#include "TPaveText.h"

#include <time.h>

class RunMessage : public RunTimer {

public:
		RunMessage() ;
		~RunMessage() ;

	void	Message(const char * = "Undef") ;
	void	SpeedInfo(int NEvent) ;
	void	SpeedInfo(const char * = "Speed Info ...") ;
	void	Time(const char * = "") ;

protected:

	double		t1 , t2 , dt ;
	TCanvas		*Can ;
	TPaveText	*Msg , *Msg0 , *Msg1 , *Msg2 ;
	char		s[128] ;

	} ;

#endif

// EOF
