// File:	E391aDigitizerManager.cc
// Date:	01-Nov-2011 G.Macharashvili Dubna

#include "E391aDigitizerManager.hh"

	G4int		E391aDigitizerManager::Instance=0 ;

	E391aVDigitizerModule* E391aDigitizerManager::DM[16]
	={0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0} ;

	E391aDigitizerManager::E391aDigitizerManager() {
		if (!Instance) {

			Instance=1 ;
			}
		}

bool	E391aDigitizerManager::DigitizeHitsForThisEvent(const G4Event *E) {
	G4HCofThisEvent *HCE=E->GetHCofThisEvent() ;
	if (!HCE) return true ;
	G4int NumOfColl=HCE->GetNumberOfCollections() ;
	for (int k=0 ; k<NumOfColl ; k++) {
		E391aHitsCollection *HC=(E391aHitsCollection*)HCE->GetHC(k) ;
		if (!HC) continue ;
		if (HC->entries()==0) continue ;
		G4int	d=(*HC)[0]->DetectorID()/10000 ;
		if (DM[d]==0) {
			G4String DN=E391aDetectorTable::DetectorName(d) ;
			if (DN==G4String("Undef")) return false ;
			DM[d]=(E391aVDigitizerModule*)G4DigiManager::GetDMpointer()->FindDigitizerModule(DN) ;
			}
		if (DM[d]) DM[d]->Digitize(HC) ;
//oo		if (DM[d]) DM[d]->Digitize() ;
		}
	return true ;
	}

// EOF
