// File:	RunTimer.cc
// Date:	24-Aug-2000 G.Macharashvili JINR Dubna
// Subject:	RunTimer class definition (Precision: 0.01 sec)
// Updated:	

#include "RunTimer.h"

void RunTimer::Ini() {
	value.it_interval.tv_sec=0 ;
	value.it_interval.tv_usec=0 ;
	value.it_value.tv_sec=MaxCnt ;
	value.it_value.tv_usec=0 ;
	setitimer(ITIMER_REAL,&value,&value2) ;
	}

double	RunTimer::operator()(void) {
	getitimer(ITIMER_REAL,&value) ;
	double s=MaxCnt-value.it_value.tv_sec-1. ;
	s+=(1000000.-value.it_value.tv_usec-1.)/1000000. ;
	return s ;
	}
/*	
double	RunTimer::Remained()(void) {
	getitimer(ITIMER_REAL,&value) ;
	double s=value.it_value.tv_sec ;
	s+=(value.it_value.tv_usec)/1000000. ;
	return s ;
	}
*/	
void	RunTimer::Print() {
	double t=this->operator()() ;
	cout.form("\nRunTimer: %ld  %ld",value.it_value.tv_sec,value.it_value.tv_usec) ;
//	cout.form("   %ld  %ld",value.it_interval.tv_sec,value.it_interval.tv_usec) ;
	cout.form("   %.3f sec.",t) ;
	}
/*
int main() {

	RunTimer	T ;

	for (int k=0 ; k<1000 ; k++) {
		for (int j=0 ; j<100 ; j++) {
			T.Print() ;
			}
		}
	return 0 ;
	}
*/
// EOF
